Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 18 Mar 2023 01:11:15 +0000 (UTC)

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Can someone tell me as to when i will get my order... Appreciate if i can get a firm date.... Looks like i made big mistake in placing order online...

I appreciated if management can give me a call and explain the situation.

1. I am getting message saying order is ready for collection.
2. The Delivery center at MoE is saying its wrong information
3. I raise a customer service email, i get a reply saying sorry and i can now go and collect
4. I visit the MoE they again say they have not got it and will get a call in a day or two
5. I call help line i get the same message the delivery is ready and when questioned they said will send an email.
6. After more than an week i am still waiting for my delivery.

Never experienced such an on-line service ever before.

I hope to get a call from management immediately to this email.

Regards
C. P. VINODH https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5864605